# Ogre::Compiler2Pass::TokenRule Struct Reference

structure used to build rule paths More...

`#include <OgreCompiler2Pass.h>`

List of all members.

## Public Member Functions

| TokenRule (void)
| TokenRule (const OperationType ot, const size_t token)

## Public Attributes

OperationType | operation
size_t | tokenID

## Detailed Description

structure used to build rule paths

Definition at line 163 of file OgreCompiler2Pass.h.

## Constructor & Destructor Documentation

Ogre::Compiler2Pass::TokenRule::TokenRule | ( | void |  | ) |

Definition at line 168 of file OgreCompiler2Pass.h.

Ogre::Compiler2Pass::TokenRule::TokenRule | ( | const OperationType | ot,
|  | const size_t | token |
| ) |  |  |

Definition at line 169 of file OgreCompiler2Pass.h.

## Member Data Documentation

OperationType Ogre::Compiler2Pass::TokenRule::operation

Definition at line 165 of file OgreCompiler2Pass.h.

size_t Ogre::Compiler2Pass::TokenRule::tokenID

Definition at line 166 of file OgreCompiler2Pass.h.

The documentation for this struct was generated from the following file:

- OgreCompiler2Pass.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:45 2009